select /*+FIRST_ROW(1) */
    s.st_itm_art_author as "author",
    s.st_itm_art_title as "title",
    s.st_itm_title as "intitle",
    s.st_itm_publ_date_comp as "year",
    case when instr(s.st_itm_vol_issue, 'Band') > 0 then
        trim(regexp_substr(s.st_itm_vol_issue, 'Band(.*)Heft.*', 1, 1, NULL, 1))
    else
        s.st_itm_vol_issue
    end as "volume",
    case when instr(s.st_itm_vol_issue, 'Heft') > 0 then
        trim(regexp_substr(s.st_itm_vol_issue, '.*Heft(.*)', 1, 1, NULL, 1))
    else
         NULL
    end as "issue",
    s.st_itm_pagination as "pagination",
    s.st_itm_publisher as "publisher",
    s.st_itm_publ_place as "publisherplace",
    s.st_itm_isn as "isbn",
    '' as "issn",
    UPPER(s.st_itm_ver_ref_src) as "source",
    s.st_itm_uniq_id1 as "sourceid",
    e1.message as "doi"
from medea3.orders o
    left join medea3.stages s on o.or_id = s.st_or_id and o.or_seqno = s.st_seqno
    left outer join zflleihe50.event e1 on o.or_id = e1.ordernumber and e1.type = 'requestform' and e1.code = 'doi'
where o.or_id = :key