select /*+ FIRST_ROWS(100) */
    row_number() over (order by oh.oh_id asc) as "pos",
    cast(oh.oh_timepoint as timestamp) as "time",
    it.it_isil as "supplierisil",
    to_char(o.or_status) as "status",
    NULL as "statustranslation",
    'UNDEFINED' as "substatus",
    oa.oa_info as "substatustranslation",
    oh.oh_info as "info",
    decode(oh.oh_type,
      41, 'true',
      NULL) as "trackable"
from medea3.orders o
    inner join medea3.orderhist oh on oh.oh_or_id = o.or_id
    inner join medea3.orderaction oa on oh.oh_type = oa.oa_id
    inner join medea3.delstatus ds on o.or_status = ds.ds_id
    inner join medea3.institutions it on oh.oh_it_id = it.it_id
