select
    os.os_name as "ordersystem",
    decode(s.st_type,
      'K', 'COPY',
      'E', 'FORM',
      'S', 'SCAN',
    s.st_type) as "circulation",
    to_char(o.or_status) as "status",
    ds.ds_info as "statustranslation",
    NULL as "substatus",
    count(*) as "count"
from medea3.orders o
    inner join medea3.ordersys os on o.or_os_id = os.os_id
    inner join medea3.stages s on o.or_id = s.st_or_id and o.or_seqno = s.st_seqno
    inner join medea3.institutions req on s.st_src_inst = req.it_id
    inner join medea3.institutions sup on s.st_dest_inst = sup.it_id
    inner join medea3.delstatus ds on o.or_status = ds.ds_id
%s
group by
  os.os_name,
  decode(s.st_type,
      'K', 'COPY',
      'E', 'FORM',
      'S', 'SCAN',
      s.st_type),
  to_char(o.or_status),
  ds.ds_info
