select /*+ FIRST_ROWS(100) */
    s.st_seqno as "pos",
    case when s.st_seqno = o.or_seqno then 'Y' else 'N' end as "active",
    decode(s.st_type,
      'K', 'COPY',
      'E', 'FORM',
      'S', 'SCAN',
      s.st_type) as "circulation",
    UPPER(s.st_itm_ver_ref_src) as "source",
    s.st_itm_uniq_id1 as "sourceid",
    s.st_itm_publ_date_comp as "year",
    decode(sup.it_type,
       'N', 'MEDEA',
       'M', 'MYBIB',
       'I', 'INTERNAL',
       'V', 'EXTERNAL',
       'X', 'DISABLED',
    sup.it_type) as "transportservice",
    req.it_isil as "requesterisil",
    sup.it_isil as "supplierisil",
    s.st_itm_signatur as "supplierinfo"
from medea3.stages s
    inner join medea3.institutions sup on s.st_dest_inst = sup.it_id
    inner join medea3.institutions req on s.st_src_inst = req.it_id
    inner join medea3.orders o on s.st_or_id = o.or_id
where
    s.st_or_id = :key
order by
    s.st_seqno asc
