select
      "VerbundN",
      "ISILNB",
      "NameNB",
      "Id_VerbundN",
      "PFL",
      "VerbundG",
      "ISILGB",
      "NameGB",
      "Id_VerbundG",
      "Typ",
      "BestellDatum",
      "QuittungsDatum",
      "Quittung"
from (
    select
            decode(i1.it_type,'V',i1.it_isil,'DE-605') as "VerbundN",
            decode(i1.it_type,'V',or_ext_user_id,i1.it_isil) as "ISILNB",
            i1.it_name as "NameNB",
            to_char(or_id) as "Id_VerbundN",
            or_tan as "PFL",
            decode(i2.it_type,'V',i2.it_isil,'DE-605') as "VerbundG",
            i2.it_isil as "ISILGB",
            i2.it_name as "NameGB",
            decode(i2.it_type,'V',or_ext_order_id,to_char(or_id)) as "Id_VerbundG",
            decode(st_type,'E','Leihschein','Online') as "Typ",
            'SHIPPED' as "Quittung",
            to_char(or_when,'DD.MM.YYYY') as "BestellDatum",
            to_char(min(oh_timepoint),'DD.MM.YYYY') as "QuittungsDatum"
        from
            medea3.orders,
            medea3.stages,
            medea3.orderhist,
            medea3.institutions i1,
            medea3.institutions i2
        where
            or_status in (5,9,17,18) and oh_type in (8,9,32,33,36)
            and st_src_inst = i1.it_id
            and st_dest_inst = i2.it_id
            and i1.it_id != i2.it_id
            and st_type != 'E'
            and or_id = st_or_id and or_seqno = st_seqno
            and or_id = oh_or_id
            and oh_timepoint between to_date(:startdate,'YYYY-MM-DD')
                and to_date(:enddate,'YYYY-MM-DD')
        group by
            decode(i1.it_type,'V',i1.it_isil,'DE-605'),
            decode(i1.it_type,'V',or_ext_user_id,i1.it_isil),
            i1.it_name,
            to_char(or_id),
            or_tan,
            decode(i2.it_type,'V',i2.it_isil,'DE-605'),
            i2.it_isil,
            i2.it_name,
            decode(i2.it_type,'V',or_ext_order_id,to_char(or_id)),
            decode(st_type,'E','Leihschein','Online'),
            to_char(or_when,'DD.MM.YYYY')
     union select
            decode(i1.it_type,'V',i1.it_isil,'DE-605') as "VerbundN",
            decode(i1.it_type,'V',or_ext_user_id,i1.it_isil) as "ISILNB",
            i1.it_name as "NameNB",
            to_char(or_id) as "Id_VerbundN",
            or_tan as "PFL",
            decode(i2.it_type,'V',i2.it_isil,'DE-605') as "VerbundG",
            i2.it_isil as "ISILGB",
            i2.it_name as "NameGB",
            decode(i2.it_type,'V',or_ext_order_id,to_char(or_id)) as "Id_VerbundG",
            decode(st_type,'E','Leihschein','Online') as "Typ",
            'SHIPPED' as "Quittung",
            to_char(or_when,'DD.MM.YYYY') as "BestellDatum",
            to_char(min(e.time),'DD.MM.YYYY') as "QuittungsDatum"
        from
            medea3.orders,
            medea3.stages,
            zflleihe50.event e,
            medea3.institutions i1,
            medea3.institutions i2
        where
            or_status in (5,9,17,18)
            and e.ordernumber = or_id and e.type = 'transaction' and e.code = 'transaction-success'
            and st_src_inst = i1.it_id
            and st_dest_inst = i2.it_id
            and i1.it_id != i2.it_id
            and st_type != 'E'
            and or_id = st_or_id and or_seqno = st_seqno
            and e.time between to_date(:startdate,'YYYY-MM-DD')
                           and to_date(:enddate,'YYYY-MM-DD')
        group by
            decode(i1.it_type,'V',i1.it_isil,'DE-605'),
            decode(i1.it_type,'V',or_ext_user_id,i1.it_isil),
            i1.it_name,
            to_char(or_id),
            or_tan,
            decode(i2.it_type,'V',i2.it_isil,'DE-605'),
            i2.it_isil,
            i2.it_name,
            decode(i2.it_type,'V',or_ext_order_id,to_char(or_id)),
            decode(st_type,'E','Leihschein','Online'),
            to_char(or_when,'DD.MM.YYYY')
     union select
            decode(i1.it_type,'V',i1.it_isil,'DE-605') as "VerbundN",
            decode(i1.it_type,'V',or_ext_user_id,i1.it_isil) as "ISILNB",
            i1.it_name as "NameNB",
            to_char(or_id) as "Id_VerbundN",
            or_tan as "PFL",
            decode(i2.it_type,'V',i2.it_isil,'DE-605') as "VerbundG",
            i2.it_isil as "ISILGB",
            i2.it_name as "NameGB",
            decode(i2.it_type,'V',or_ext_order_id,to_char(or_id)) as "Id_VerbundG",
            decode(st_type,'E','Leihschein','Online') as "Typ",
            'CANCEL' as "Quittung",
            to_char(or_when,'DD.MM.YYYY') as "BestellDatum",
            to_char(min(oh_timepoint),'DD.MM.YYYY') as "QuittungsDatum"
        from
            medea3.orders,
            medea3.stages,
            medea3.orderhist,
            medea3.institutions i1,
            medea3.institutions i2
        where
            or_status in (7,8,9,15) and oh_type in (6,30,31)
            and st_src_inst = i1.it_id
            and st_dest_inst = i2.it_id
            and i1.it_id != i2.it_id
            and st_type != 'E'
            and or_id = st_or_id and or_seqno = st_seqno
            and or_id = oh_or_id
            and oh_timepoint between to_date(:startdate,'YYYY-MM-DD')
                and to_date(:enddate,'YYYY-MM-DD')
        group by
            decode(i1.it_type,'V',i1.it_isil,'DE-605'),
            decode(i1.it_type,'V',or_ext_user_id,i1.it_isil),
            i1.it_name,
            to_char(or_id),
            or_tan,
            decode(i2.it_type,'V',i2.it_isil,'DE-605'),
            i2.it_isil,
            i2.it_name,
            decode(i2.it_type,'V',or_ext_order_id,to_char(or_id)),
            decode(st_type,'E','Leihschein','Online'),
            to_char(or_when,'DD.MM.YYYY')
    union select
            decode(i1.it_type,'V',i1.it_isil,'DE-605') as "VerbundN",
            i1.it_isil as "ISILNB",
            i1.it_name as "NameNB",
            to_char(or_id) as "Id_VerbundN",
            or_tan as "PFL",
            decode(i2.it_type,'V',i2.it_isil,'DE-605') as "VerbundG",
            i2.it_isil as "ISILGB",
            i2.it_name as "NameGB",
            decode(i2.it_type,'V',or_ext_order_id,to_char(or_id)) as "Id_VerbundG",
            decode(st_type,'E','Leihschein','Online') as "Type",
            'NOTAVAILABLE' as "Quittung",
            to_char(or_when,'DD.MM.YYYY') as "BestellDatum",
            to_char(oh_timepoint,'DD.MM.YYYY') as "QuittungsDatum"
        from
            medea3.orders,
            medea3.stages,
            medea3.orderhist,
            medea3.institutions i1,
            medea3.institutions i2
        where
            oh_type = 4 and oh_info like 'weitergeleitet nach %'
            and st_src_inst = i1.it_id
            and oh_it_id = i2.it_id
            and i1.it_id != i2.it_id
            and or_id = st_or_id and or_seqno = st_seqno
            and or_id = oh_or_id
            and oh_timepoint between to_date(:startdate,'YYYY-MM-DD')
                and to_date(:enddate,'YYYY-MM-DD')
    union select
             reqorg.zf10isil as "VerbundN",
             req.zf10isil as "ISILNB",
             req.zf10isil as "NameNB",
             m.zf1bestellid as "Id_VerbundN",
             m.zf1pfl2afl as "PFL",
             suporg.zf10isil as "VerbundG",
             sup.zf10isil as "ISILGB",
             req.zf10isil as "NameGB",
             m.zf1tan as "Id_VerbundG",
             'Online' as "Type",
             upper(trim(curr.zf6vorgang)) as "Quittung",
             to_char(init.zf6date,'DD.MM.YYYY') as "BestellDatum",
             to_char(curr.zf6date,'DD.MM.YYYY') as "QuittungsDatum"
        from
             zflleihe50.zf1medien m
             inner join zflleihe50.zf6status init on m.zf1bestellid = init.zf6bestellid and init.zf6lfd = 1
             inner join zflleihe50.zf6status curr on m.zf1bestellid = curr.zf6bestellid and curr.zf6lfd = m.zf1lfd
             inner join zflleihe50.zf10bibl sup on sup.zf10id = curr.zf6sigelaktuell_id
             inner join zflleihe50.zf10bibl req on req.zf10id = m.zf1sigelnb_id
             inner join zflleihe50.zf10bibl reqorg on reqorg.zf10id = m.zf1verbundn_id
             inner join zflleihe50.zf10bibl suporg on suporg.zf10id = m.zf1verbundg_id
             inner join zflleihe50.zf5statistik stat on stat.zf5bestellid = m.zf1bestellid and stat.zf5lfd = m.zf1lfd
        where
            m.zf1bstype2 = 'C'
            and curr.zf6date between to_date(:startdate,'YYYY-MM-DD')
              and to_date(:enddate,'YYYY-MM-DD')

)
